Skitflow
Generated

Domain

Skitflow API reference for Domain endpoints.

POST
/domain.create

Authorization

Authorization
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/domain.create" \  -H "Content-Type: application/json" \  -d '{    "host": "string"  }'
Empty
{  "message": "string",  "code": "string",  "issues": [    {      "message": "string"    }  ]}
GET
/domain.byApplicationId

Authorization

Authorization
AuthorizationBearer <token>

In: header

Query Parameters

applicationId*string

Response Body

application/json

application/json

curl -X GET "https://example.com/domain.byApplicationId?applicationId=string"
Empty
{  "message": "string",  "code": "string",  "issues": [    {      "message": "string"    }  ]}
GET
/domain.byComposeId

Authorization

Authorization
AuthorizationBearer <token>

In: header

Query Parameters

composeId*string

Response Body

application/json

application/json

curl -X GET "https://example.com/domain.byComposeId?composeId=string"
Empty
{  "message": "string",  "code": "string",  "issues": [    {      "message": "string"    }  ]}
POST
/domain.generateDomain

Authorization

Authorization
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/domain.generateDomain" \  -H "Content-Type: application/json" \  -d '{    "appName": "string"  }'
Empty
{  "message": "string",  "code": "string",  "issues": [    {      "message": "string"    }  ]}
POST
/domain.update

Authorization

Authorization
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/domain.update" \  -H "Content-Type: application/json" \  -d '{    "host": "string",    "domainId": "string"  }'
Empty
{  "message": "string",  "code": "string",  "issues": [    {      "message": "string"    }  ]}
GET
/domain.one

Authorization

Authorization
AuthorizationBearer <token>

In: header

Query Parameters

domainId*string

Response Body

application/json

application/json

curl -X GET "https://example.com/domain.one?domainId=string"
Empty
{  "message": "string",  "code": "string",  "issues": [    {      "message": "string"    }  ]}
POST
/domain.delete

Authorization

Authorization
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/domain.delete" \  -H "Content-Type: application/json" \  -d '{    "domainId": "string"  }'
Empty
{  "message": "string",  "code": "string",  "issues": [    {      "message": "string"    }  ]}